Character.Subset (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.lang, class: Character, class: Subset
Keywords: java.lang.Character.Subset class

# Class Character.Subset

java.lang.Object
java.lang.Character.Subset

Direct Known Subclasses:
  `Character.UnicodeBlock, InputSubset`

Enclosing class:
  `Character`

public static class Character.Subset extends Object
Instances of this class represent particular subsets of the Unicode character set. The only family of subsets defined in the `Character` class is `Character.UnicodeBlock`. Other portions of the Java API may define other subsets for their own purposes.

Since:
  1.2

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Subset(String name)`
  Constructs a new `Subset` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Compares two `Subset` objects for equality.
  `final int`
  `hashCode()`
  Returns the standard hash code as defined by the `Object.hashCode()` method.
  `final String`
  `toString()`
  Returns the name of this subset.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Subset

    protected Subset(String name)
    Constructs a new `Subset` instance.
    Parameters:
      `name` - The name of this subset
    Throws:
      `NullPointerException` - if name is `null`

- ## Method Details

  - ### equals

    public final boolean equals(Object obj)
    Compares two `Subset` objects for equality. This method returns `true` if and only if `this` and the argument refer to the same object; since this method is `final`, this guarantee holds for all subclasses.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare.
    Returns:
      `true` if this object is the same as the obj argument; `false` otherwise.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns the standard hash code as defined by the `Object.hashCode()` method. This method is `final` in order to ensure that the `equals` and `hashCode` methods will be consistent in all subclasses.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### toString

    public final String toString()
    Returns the name of this subset.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object